<?php
/**
 * @package     Joomla.Administrator
 * @subpackage  com_helloworld
 *
 * @copyright   Copyright (C) 2005 - 2014 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

// No direct access to this file
defined('_JEXEC') or die;

/**
 * HelloWorld Model
 *
 * @since  0.0.1
 */
class HelloworldModelHelloworld extends Babelu_libModelJoomlaAdmin
{

	/**
	 * @var array messages
	 */
	protected $messages;
	
	/**
	 * Get the message
	 *
	 * @param   integer  $id  Greeting Id
	 *
	 * @return  string        Fetched String from Table for relevant Id
	 */
	public function getMsg($id = 1)
	{
		if (!is_array($this->messages))
		{
			$this->messages = array();
		}
	
		if (!isset($this->messages[$id]))
		{
			// Request the selected id
			$jinput = JFactory::getApplication()->input;
			$id     = $jinput->get('id', 1, 'INT');
	
			// Get a TableHelloWorld instance
			$table = $this->getTable();
	
			// Load the message
			$table->load($id);
	
			// Assign the message
			$this->messages[$id] = $table->greeting;
		}
	
		return $this->messages[$id];
	}
}
